extension OpenDurationExtensions on Duration {
  /// Converts the duration into a readable string in the format "HH:MM".
  String toHoursMinutes() =>
      "${inHours.toString().padLeft(2, '0')}:${(inMinutes % 60).toString().padLeft(2, '0')}";

  /// Converts the duration into a readable string in the format "HH:MM:SS".
  String toHoursMinutesSeconds() =>
      "${toHoursMinutes()}:${(inSeconds % 60).toString().padLeft(2, '0')}";
}
